//---------------------------------------------------------------------------
#ifndef ValShdrFacH
#define ValShdrFacH
//---------------------------------------------------------------------------
#include <ole2.h>

// Class Factory : used to create the EDPValShader Object

class ValShaderFactory : public IClassFactory
{
 public:
   ValShaderFactory();

   //IUnknown members
   STDMETHODIMP         QueryInterface(REFIID, LPVOID FAR*);
   STDMETHODIMP_(ULONG) AddRef(void);
   STDMETHODIMP_(ULONG) Release(void);

   //IClassFactory members
   STDMETHODIMP         CreateInstance(LPUNKNOWN, REFIID, LPVOID FAR*);
   STDMETHODIMP         LockServer(BOOL);
 private:
   int refCount;
};

#endif
