# Makefile for valshdr.rdx (a DLL)

.autodepend

!ifdef M_DEBUG
# debugging on, include from RDS SDK, no link
CPPFLAGS = -v+ -ID:\RayDream\DreamSDK\Windows\Includes -c
# make DLL, include debug information, no mapfile
TLINKFLAGS = /Tpd /v /x  -L"D:\Program Files\Borland\CBuilder3\Lib"
!else
# no debug info, include from RDS SDK, no link
CPPFLAGS = -v- -ID:\RayDream\DreamSDK\Windows\Includes -c
# make DLL, no mapfile
TLINKFLAGS = /Tpd /x  -L"D:\Program Files\Borland\CBuilder3\Lib"
!endif

#build 32-bit resource
RCFLAGS = -32 -I"D:\Program Files\Borland\CBuilder3\Include"

# startup is for DLL, EXE startup is C0X32.OBJ
STARTUP = C0D32.OBJ
LIBFILES = CW32.LIB  IMPORT32.LIB

OBJFILES = 3dcofail_bcb.obj   ValShdr.obj   ValShdrFac.obj   ValShdrObj.obj 

.cpp.obj:
   bcc32 $(CPPFLAGS) $<

.rc.res:
  brcc32 $(RCFLAGS) $<


ValShdr.rdx:: 3dcofail_bcb.obj   ValShdr.obj   ValShdrFac.obj   ValShdrObj.obj  ValShdr.res
   tlink32 $(TLINKFLAGS) $(STARTUP) $(OBJFILES), ValShdr.rdx, , $(LIBFILES), , ValShdr.res
